package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ContractFirstE1Collection extends AbstractObjectCollection 
{
    public ContractFirstE1Collection()
    {
        super(ContractFirstE1Info.class);
    }
    public boolean add(ContractFirstE1Info item)
    {
        return addObject(item);
    }
    public boolean addCollection(ContractFirstE1Collection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ContractFirstE1Info item)
    {
        return removeObject(item);
    }
    public ContractFirstE1Info get(int index)
    {
        return(ContractFirstE1Info)getObject(index);
    }
    public ContractFirstE1Info get(Object key)
    {
        return(ContractFirstE1Info)getObject(key);
    }
    public void set(int index, ContractFirstE1Info item)
    {
        setObject(index, item);
    }
    public boolean contains(ContractFirstE1Info item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ContractFirstE1Info item)
    {
        return super.indexOf(item);
    }
}